Subject: (i18n.135) Re: (SC22WG14.165) Re: support for symbolic character names

From: [email-masked] (Walt Daniels)
Date: 06 Jan 1992 15:04:56 EST

>If o/ denotes o-with-stroke I could write:
>
>          if (c == '\<o/>') ....
>Keld
That looks like a perfectly legal character string without any
mneumonic interpretation.  How do you distinguish?  I presume you add
a new character to those whose escaping has a special significance, but
it is certainly not a compatible change.

Besides which the "trend" is supposed to be to write internationalized
programs, instead of localized programs.  One of the rules of
internationalized programs is that literal strings must be in message
catalogs or some such.